Page MenuHomePhabricator

Point bugzilla.wikimedia.org DNS to phabricator.wikimedia.org
Closed, ResolvedPublic

Description

In order for T40: Set up redirects from old bugzilla.wikimedia.org URLs to work, first bugzilla.wikimedia.org needs to point to phabricator.wikimedia.org.

According to @Dzahn, in production things aren't as simple as they were in our wmflabs test:

<mutante> i can't _just_ redirect the DNS
<mutante> because the server phab runs on, doesn't have a public address
<mutante> it is all proxied behind varnish cluster

Related Objects

Event Timeline

Qgil created this task.Nov 11 2014, 1:25 AM
Qgil updated the task description. (Show Details)
Qgil raised the priority of this task from to Normal.
Qgil added a project: Bugzilla-Migration.
Qgil changed Security from none to None.
Qgil added subscribers: Qgil, Dzahn, chasemp.

note how this switches ALL of the following:

bugs.wikimedia.org
bugzilla.wikimedia.org
bug-attachment.wikimedia.org

the script from T40 would have to be ready to handle them all, i think it may not. uses just "phabzilla.wmflabs.org"?

if ($_SERVER['HTTP_HOST'] == 'phabzilla.wmflabs.org') {

			$_SERVER['HTTP_HOST'] = 'bugs.wikimedia.org';

https://gerrit.wikimedia.org/r/#/c/166283/

@Dzahn: I'm updating the script to handle all of those host names.

the change that applies the script on production phab server: merged , has been deployed on iridum

the change that changes Varnish config to make request for Bugzilla hosts go to iridium as backend: merged, has been deployed on cp1043/cp1044

the DNS change: NOT MERGED until actual migration moment

but this means you can now test by hacking your local /etc/hosts file and pointing to misc-web

if you switch bugzilla.wikimedia.org over to misc-web-lb.eqiad.wikimedia.org in your hosts file, the redirects should work

Qgil assigned this task to Dzahn.Nov 23 2014, 10:20 PM
Qgil closed this task as Resolved.

this has happened here:

https://gerrit.wikimedia.org/r/#/c/172469/
https://gerrit.wikimedia.org/r/#/c/175133/

pointing it to misc-web meant pointing it to phabricator which is behind that

Dzahn mentioned this in Unknown Object (Diffusion Commit).Dec 10 2014, 8:37 PM
Dzahn mentioned this in Unknown Object (Diffusion Commit).Jan 14 2015, 4:52 PM